## Apache Zeta Components Manual :: Docs For Class ezcPersistentDoubleTableMap

### PersistentObject::ezcPersistentDoubleTableMap

### Class ezcPersistentDoubleTableMap

Class to create {ezcPersistentRelation::$columnMap} properties.

Maps a source table and column and to a destination table and column, to establish a relation between the 2 tables.

Source for this file: /PersistentObject/src/structs/double_table_map.php

    ezcBaseStruct
       |
       --ezcPersistentDoubleTableMap

Version: | //autogen//

### Member Variables

public string | `$destinationColumn` Column of the second table, which should be mapped to the first column.
public string | `$relationDestinationColumn` Name of the column in the relation table, that maps to the destination table column.
public string | `$relationSourceColumn` Name of the column in the relation table, that maps to the source table column.
public string | `$sourceColumn` Column of the first table used for mapping.

### Method Summary

public ezcPersistentDoubleTableMap | `__construct( $sourceColumn , $relationSourceColumn , $relationDestinationColumn , $destinationColumn )` Create a new ezcPersistentDoubleTableMap.

### Methods

#### __construct

ezcPersistentDoubleTableMap __construct( string $sourceColumn , string $relationSourceColumn , string $relationDestinationColumn , string $destinationColumn )

Create a new ezcPersistentDoubleTableMap.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$sourceColumn` | string | $sourceColumn
`$relationSourceColumn` | string | $relationSourceColumn
`$relationDestinationColumn` | string | $relationDestinationColumn
`$destinationColumn` | string | $destinationColumn

Documentation generated by phpDocumentor 1.4.3